Armory-extended Halyard Deprecation

Armory will be discontinuing support for Halyard. This article explains why Armory is doing this and how it impacts your company.

What does this mean?

On 2021 Sept 01, Armory-extended Halyard, Armory’s proprietary extension of Halyard, will be deprecated with an and End of Support date of 2021 Dec 30. This means that after 2021 Sept 01, no new development is done specific to the feature except for critical (P0/1) bugs and security CVE fixes. Support for critical (P0/1) bugs and security CVE fixes will end on 2021 Dec 30.

Additionally, releases after 2.26 require you to use the Armory Operator. Any current workflows that use Armory-extended Halyard may break if you try to upgrade to a release that is later than 2.26. We encourage all Armory-extended Halyard users to migrate to the Armory Operator, the only supported method of installing and configuring Armory’s products beyond the 2.26 release.

Why is Armory removing support?

The Armory Operator has a superset of the functionality provided by Armory-extended Halyard, including a more native Kubernetes installation experience. In an effort to create the best possible installation experience, we are consolidating supported installation tools to only the Armory Operator. Focusing on a single installation experience allows us to develop requested features at a faster pace.

We understand that this decision may be disruptive to you, so we are giving as much advance notice as possible. For more information about how Armory handles feature and technology deprecation, please see https://docs.armory.io/deprecations.

Am I affected?

If your company currently uses Armory-extended Halyard, then yes. You can still access Armory-extended Halyard until 2021 Dec 30; however, Armory is unable to support issues solely related to Armory-extended Halyard you may experience after 2021 Sept 01.

What do I need to do?

To assure the best user-experience possible, we recommend migrating to the Armory Operator.

We have instructions for migrating to the Operator on this page: https://docs.armory.io/docs/installation/armory-operator/hal-op-migration/.

What happens if I don’t act in time?

As mentioned above, if your company uses Armory-extended Halyard, you will not be able to install any releases beyond 2.26 unless you migrate to the Armory Operator. Additionally, after 2021 Dec 30, Armory cannot guarantee the availability of Armory-extended Halyard.

Who should I contact if I have questions or need further assistance?

For customers who have an assigned Technical Account Manager and/or Account Executive, they are your first and best resource. For others, you can reach our Customer Care team at support@armory.io or visit the Help Center to submit a case.


Last modified December 10, 2021: (556c295)